Index: modules/uoa-services-portal/trunk/portal-2/src/app/app-routing.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/app-routing.module.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/app-routing.module.ts	(revision 46415)
@@ -126,7 +126,7 @@
 @NgModule({
   imports: [
     RouterModule.forChild([
-      { path: '', redirectTo: '/search/find', pathMatch: 'full' },
+      { path: '', redirectTo: '/search/find', pathMatch: 'full'  },
       { path: 'search/publication', loadChildren: getPublicationModule },
       { path: 'search/dataset', loadChildren: getDatasetModule },
       { path: 'search/person', loadChildren: getPersonModule },
@@ -133,11 +133,16 @@
       { path: 'search/organization', loadChildren: getOrganizationModule },
       { path: 'search/project', loadChildren: getProjectModule },
       { path: 'search/dataprovider', loadChildren: getDataProviderModule },
-      { path: 'deposit-datasets', loadChildren: getDepositDatasetsModule },
-      { path: 'deposit-datasets-result', loadChildren: getDepositDatasetsResultsModule },
-      { path: 'deposit-publications', loadChildren: getDepositPublicationsModule },
-      { path: 'deposit-publications-result', loadChildren: getDepositPublicationsResultsModule },
-      { path: 'search/find', loadChildren: getMainSearchModule },
+      { path: 'participate/deposit-datasets', loadChildren: getDepositDatasetsModule },
+      { path: 'participate/deposit-datasets-result', loadChildren: getDepositDatasetsResultsModule },
+      { path: 'participate/deposit-publications', loadChildren: getDepositPublicationsModule },
+      { path: 'participate/deposit-publications-result', loadChildren: getDepositPublicationsResultsModule },
+      { path: 'search/find', loadChildren: getMainSearchModule ,     data: {
+      meta: {
+        title: 'Home page',
+        description: 'Description of the home page'
+      }
+    }},
       { path: 'search/find/publications', loadChildren: getSearchPublicationsModule },
       { path: 'search/find/datasets', loadChildren: getSearchDatasetsModule },
       { path: 'search/find/projects', loadChildren: getSearchProjectsModule },
@@ -144,7 +149,13 @@
       { path: 'search/find/dataproviders', loadChildren: getSearchDataProvidersModule },
       { path: 'search/find/organizations', loadChildren: getSearchOrganizationsModule },
       { path: 'search/find/people', loadChildren: getSearchPeopleModule },
-      { path: 'search/data-providers', loadChildren: getCompatibleDataProvidersModule },
+      { path: 'search/data-providers', loadChildren: getCompatibleDataProvidersModule,
+      data: {
+    meta: {
+      title: 'Home page',
+      description: 'Description of the home page'
+    }
+  }},
       { path: 'search/entity-registries', loadChildren: getEntityRegistriesModule },
       { path: 'search/advanced/publications', loadChildren: getAdvancedSearchPublicationsModule },
       { path: 'search/advanced/datasets', loadChildren: getAdvancedSearchDatasetsModule },
@@ -155,8 +166,8 @@
       { path: 'project-report', loadChildren: gethtmlProjectReportModule },
       // { path: 'myclaims', loadChildren: getMyClaimsModule },
       // { path: 'claims', loadChildren: getClaimsAdminModule },
-      // { path: 'bulk-linking', loadChildren: getBulkLinkingModule },
-      // { path: 'linking', loadChildren: getLinkingModule },
+      // { path: 'participate/bulk-claim', loadChildren: getBulkLinkingModule },
+      // { path: 'participate/claim', loadChildren: getLinkingModule },
     ])
   ],
 })
